Imports Microsoft.VisualBasic
Imports System.ComponentModel

Namespace SilverlightAstoriaQA.NWServiceReference
	Partial Public Class OrderDetail
		Implements INotifyPropertyChanged
		Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

		Private Sub FirePropertyChanged(ByVal propertyName As String)
			Dim handler = PropertyChangedEvent
			If handler IsNot Nothing Then
				handler(Me, New PropertyChangedEventArgs(propertyName))
			End If
		End Sub

		Private Sub OnProductIDChanged()
			FirePropertyChanged("ProductID")
		End Sub
		Private Sub OnOrderIDChanged()
			FirePropertyChanged("OrderID")
		End Sub
		Private Sub OnDiscountChanged()
			FirePropertyChanged("Discount")
		End Sub
		Private Sub OnQuantityChanged()
			FirePropertyChanged("Quantity")
		End Sub
		Private Sub OnUnitPriceChanged()
			FirePropertyChanged("UnitPrice")
		End Sub
	End Class
End Namespace

